JsonCpp - JSON data format manipulation library

JsonCpp project page | JsonCpp home page

Public Types | Public Member Functions | Friends | List of all members
Json::ValueIterator Class Reference

Iterator for object and array value. More...

`#include <json/value.h>`

Inheritance diagram for Json::ValueIterator:
Collaboration diagram for Json::ValueIterator:

## Public Types
typedef Value | value_type
typedef unsigned int | size_t
typedef int | difference_type
typedef Value & | reference
typedef Value * | pointer
typedef ValueIterator | SelfType
Public Types inherited from Json::ValueIteratorBase
typedef std::bidirectional_iterator_tag | iterator_category
typedef unsigned int | size_t
typedef int | difference_type
typedef ValueIteratorBase | SelfType

## Public Member Functions
| ValueIterator ()
| ValueIterator (const ValueConstIterator &other)
| ValueIterator (const ValueIterator &other)
SelfType & | operator= (const SelfType &other)
SelfType | operator++ (int)
SelfType | operator-- (int)
SelfType & | operator-- ()
SelfType & | operator++ ()
reference | operator* () const
pointer | operator-> () const
Public Member Functions inherited from Json::ValueIteratorBase
bool | operator== (const SelfType &other) const
bool | operator!= (const SelfType &other) const
difference_type | operator- (const SelfType &other) const
Value | key () const
| Return either the index or the member name of the referenced value as a Value. More...
UInt | index () const
| Return the index of the referenced Value, or -1 if it is not an arrayValue. More...
std::string | name () const
| Return the member name of the referenced Value, or "" if it is not an objectValue. More...
char const * | memberName () const
| Return the member name of the referenced Value. More...
char const * | memberName (char const **end) const
| Return the member name of the referenced Value, or NULL if it is not an objectValue. More...
| ValueIteratorBase ()
| ValueIteratorBase (const Value::ObjectValues::iterator &current)

## Friends
class | Value

## Additional Inherited Members
Protected Member Functions inherited from Json::ValueIteratorBase
Value & | deref () const
void | increment ()
void | decrement ()
difference_type | computeDistance (const SelfType &other) const
bool | isEqual (const SelfType &other) const
void | copy (const SelfType &other)

## Detailed Description

Iterator for object and array value.

Definition at line 823 of file value.h.

## Member Typedef Documentation

## ◆ difference_type

typedef int Json::ValueIterator::difference_type

Definition at line 829 of file value.h.

## ◆ pointer

typedef Value* Json::ValueIterator::pointer

Definition at line 831 of file value.h.

## ◆ reference

typedef Value& Json::ValueIterator::reference

Definition at line 830 of file value.h.

## ◆ SelfType

typedef ValueIterator Json::ValueIterator::SelfType

Definition at line 832 of file value.h.

## ◆ size_t

typedef unsigned int Json::ValueIterator::size_t

Definition at line 828 of file value.h.

## ◆ value_type

typedef Value Json::ValueIterator::value_type

Definition at line 827 of file value.h.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/3]

Json::ValueIterator::ValueIterator | ( |  | ) |

Definition at line 149 of file json_valueiterator.inl.

References Json::ValueIteratorBase::ValueIteratorBase().

## ◆ ValueIterator() [2/3]

Json::ValueIterator::ValueIterator | ( | const ValueConstIterator & | other | ) |
| explicit

Definition at line 154 of file json_valueiterator.inl.

## ◆ ValueIterator() [3/3]

Json::ValueIterator::ValueIterator | ( | const ValueIterator & | other | ) |

Definition at line 159 of file json_valueiterator.inl.

## Member Function Documentation

## ◆ operator*()

reference Json::ValueIterator::operator* | ( |  | ) | const
| inline

Definition at line 867 of file value.h.

## ◆ operator++() [1/2]

SelfType Json::ValueIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 845 of file value.h.

## ◆ operator++() [2/2]

SelfType& Json::ValueIterator::operator++ | ( |  | ) |
| inline

Definition at line 862 of file value.h.

## ◆ operator--() [1/2]

SelfType Json::ValueIterator::operator-- | ( | int |  | ) |
| inline

Definition at line 851 of file value.h.

## ◆ operator--() [2/2]

SelfType& Json::ValueIterator::operator-- | ( |  | ) |
| inline

Definition at line 857 of file value.h.

## ◆ operator->()

pointer Json::ValueIterator::operator-> | ( |  | ) | const
| inline

Definition at line 869 of file value.h.

## ◆ operator=()

ValueIterator & Json::ValueIterator::operator= | ( | const SelfType & | other | ) |

Definition at line 162 of file json_valueiterator.inl.

References Json::ValueIteratorBase::copy().

## Friends And Related Function Documentation

## ◆ Value

friend class Value
| friend

Definition at line 824 of file value.h.

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_valueiterator.inl